Subject: Re: [PATCH 056/493] edac: remove use of __devexit_p

From: Greg KH <[email-masked]>
Date: Sat, 24 Nov 2012 09:59:10 -0800

On Sat, Nov 24, 2012 at 10:14:53AM +0100, Borislav Petkov wrote:
> On Fri, Nov 23, 2012 at 08:40:24AM -0800, Greg KH wrote:
> > No, as there will not be any discarded sections anymore because
> > CONFIG_HOTPLUG is always enabled. We will just delete this whole
> > #if/#endif section once all users of __devexit_p() are gone from the
> > tree.
> >
> > Does that help out?
> 
> Yes, I missed the fact that there won't be any discarded sections
> anymore. Btw, in that case, you'd probably need to remove all those
> 
> #ifdef CONFIG_HOTPLUG
> 
> ...
> 
> #endif
> 
> stanzas surrounding different places in the kernel (I see 40ish
> currenty) now that HOTPLUG is def_bool y and if you haven't done so yet.

That removal was done as part of this 493 patches long patchset :)

> Thanks for explaining.
> 
> Btw, you can have my
> 
> Acked-by: Borislav Petkov <[email-masked]>
> 
> for the amd64_edac pieces.

Thanks, I will add it there,

greg k-h